%global xfceversion 4.12
%global versnum 0.2

Name:		xfce4-pulseaudio-plugin
Version:	0.2.3
Release:	2%{?dist}
Summary:	Pulseaudio plugin for Xfce4

License:	GPLv2+
URL:		https://github.com/andrzej-r/xfce4-pulseaudio-plugin
Source0:	http://archive.xfce.org/src/panel-plugins/%{name}/%{versnum}/%{name}-%{version}.tar.bz2

BuildRequires:	intltool
BuildRequires:	libxfce4ui-devel >= %{xfceversion}
BuildRequires:	libxfce4util-devel >= %{xfceversion}
BuildRequires:	xfce4-panel-devel >= %{xfceversion}
BuildRequires:	pulseaudio-libs-devel >= 0.9.19
BuildRequires:	glib2-devel >= 2.24.0
BuildRequires:	gtk3-devel >= 3.6.0
BuildRequires:	xfconf-devel >= 4.6.0
BuildRequires:	keybinder3-devel
BuildRequires:	libnotify-devel

%description
Pulseaudio panel plugin for Xfce Desktop Environment

%prep
%setup -q

# remove empty files
rm -f AUTHORS README

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

# remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# remove zero-length files
rm -f %{buildroot}/%{defaultdocdir}/AUTHORS
rm -f %{buildroot}/%{defaultdocdir}/README

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :



%files
%{license} COPYING
%doc ChangeLog
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_libdir}/xfce4/panel/plugins/libpulseaudio-plugin.so
%{_datadir}/icons/hicolor/48x48/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/apps/%{name}*
%{_datadir}/icons/hicolor/scalable/status/*

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 11 2015 Kevin Fenzi <kevin@scrye.com> 0.2.3-1
- Update to 0.2.3

* Wed Apr 22 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.2-2
- Add keybinder-devel as BR
- enable keyboard shortcuts support

* Thu Mar 26 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2
- Added symoblic icons for different statuses

* Sun Mar 08 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1
- Bug fix update

* Fri Mar 06 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Sun Mar 01 2015 Mukundan Ragavan <nonamedotc@fedoraproject.org> - 0.1.0-1
- New package 
